Index: /trunk/include/FlairFilter/Gx3_25_ahrs.h
===================================================================
--- /trunk/include/FlairFilter/Gx3_25_ahrs.h	(revision 12)
+++ /trunk/include/FlairFilter/Gx3_25_ahrs.h	(revision 13)
@@ -17,52 +17,51 @@
 #include <Gx3_25_imu.h>
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class Gx3_25_ahrs
-    *
-    * \brief Class for 3dmgx3-25 ahrs
-    *
-    * This class constructs a Gx3_25_imu as Imu of this Ahrs.
-    */
-    class Gx3_25_ahrs : public Ahrs
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an Ahrs for 3dmgx3-25
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport Imu SerialPort
-            * \param command command for the Gx3_25_imu continuous mode
-            * \param priority priority of the Gx3_25_imu Thread
-            */
-            Gx3_25_ahrs(const core::FrameworkManager* parent,std::string name,core::SerialPort *serialport,sensor::Gx3_25_imu::Command_t command,uint8_t priority);
+namespace flair {
+namespace filter {
+/*! \class Gx3_25_ahrs
+*
+* \brief Class for 3dmgx3-25 ahrs
+*
+* This class constructs a Gx3_25_imu as Imu of this Ahrs.
+*/
+class Gx3_25_ahrs : public Ahrs {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an Ahrs for 3dmgx3-25
+  *
+  * \param parent parent
+  * \param name name
+  * \param serialport Imu SerialPort
+  * \param command command for the Gx3_25_imu continuous mode
+  * \param priority priority of the Gx3_25_imu Thread
+  */
+  Gx3_25_ahrs(const core::FrameworkManager *parent, std::string name,
+              core::SerialPort *serialport,
+              sensor::Gx3_25_imu::Command_t command, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Gx3_25_ahrs();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Gx3_25_ahrs();
 
-            /*!
-            * \brief Start Gx3_25_imu Thread
-            *
-            */
-            void Start(void);
+  /*!
+  * \brief Start Gx3_25_imu Thread
+  *
+  */
+  void Start(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
-    };
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/JoyReference.h
===================================================================
--- /trunk/include/FlairFilter/JoyReference.h	(revision 12)
+++ /trunk/include/FlairFilter/JoyReference.h	(revision 13)
@@ -17,186 +17,190 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core {
-        class Quaternion;
-        class AhrsData;
-    }
-    namespace gui {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class Quaternion;
+class AhrsData;
 }
+namespace gui {
+class LayoutPosition;
+}
+}
 
 class JoyReference_impl;
 
-namespace flair { namespace filter {
-    /*! \class JoyReference
-    *
-    * \brief Class creating references from a joystick
-    */
-    class JoyReference : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a JoyReference at given position. \n
-            * The JoyReference will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            * JoyReference compute reference in quaternion, wz, altitude and altitude speed.
-            *
-            * \param position position
-            * \param name name
-            */
-            JoyReference(const gui::LayoutPosition* position,std::string name);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~JoyReference();
-
-            /*!
-            * \brief Set roll axis value
-            *
-            * \param value value
-            */
-            void SetRollAxis(float value);
-
-            /*!
-            * \brief Set pitch axis value
-            *
-            * \param value value
-            */
-            void SetPitchAxis(float value);
-
-            /*!
-            * \brief Set yaw axis value
-            *
-            * \param value value
-            */
-            void SetYawAxis(float value);
-
-            /*!
-            * \brief Set thrust axis value
-            *
-            * \param value value
-            */
-            void SetAltitudeAxis(float value);
-
-            /*!
-            * \brief Get orientation reference
-            *
-            * \return reference
-            */
-            core::AhrsData* GetReferenceOrientation(void) const;
-
-            /*!
-            * \brief Get z reference
-            *
-            * \return reference
-            */
-            float ZRef(void) const;
-
-            /*!
-            * \brief Get z derivative reference
-            *
-            * \return reference
-            */
-            float DzRef(void) const;
-
-            /*!
-            * \brief Get roll trim
-            *
-            * \return trim value
-            */
-            float RollTrim(void) const;
-
-            /*!
-            * \brief Get pitch trim
-            *
-            * \return trim value
-            */
-            float PitchTrim(void) const;
-
-            /*!
-            * \brief Set yaw reference
-            *
-            * Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.\n
-            * This method reset the yaw.
-            *
-            * \param value value
-            */
-            void SetYawRef(float value);
-
-            /*!
-            * \brief Set yaw reference
-            *
-            * Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.\n
-            * This method reset the yaw.
-            *
-            * \param value value, only the yaw part of the quaternion is used
-            */
-            void SetYawRef(core::Quaternion const &value);
-
-            /*!
-            * \brief Set z reference
-            *
-            * Altitude of the output is obtained by integrating the vz desired altitude speed.\n
-            * This method reset z.
-            *
-            * \param value value
-            */
-            void SetZRef(float value);
-
-            /*!
-            * \brief Trim up roll
-            *
-            * Roll trim value is increased by one
-            */
-            void RollTrimUp(void);
-
-            /*!
-            * \brief Trim down roll
-            *
-            * Roll trim value is decreased by one
-            */
-            void RollTrimDown(void);
-
-            /*!
-            * \brief Trim up pitch
-            *
-            * Pitch trim value is increased by one
-            */
-            void PitchTrimUp(void);
-
-            /*!
-            * \brief Trim down pitch
-            *
-            * Pitch trim value is decreased by one
-            */
-            void PitchTrimDown(void);
-
-            /*!
-            * \brief Update references
-            *
-            * Calls UpdateFrom with values entered manually.
-            *
-            * \param time time
-            */
-            void Update(core::Time time);
-
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
-
-            class JoyReference_impl* pimpl_;
-    };
+namespace flair {
+namespace filter {
+/*! \class JoyReference
+*
+* \brief Class creating references from a joystick
+*/
+class JoyReference : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a JoyReference at given position. \n
+  * The JoyReference will automatically be child of position->getLayout()
+  *Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  * JoyReference compute reference in quaternion, wz, altitude and altitude
+  *speed.
+  *
+  * \param position position
+  * \param name name
+  */
+  JoyReference(const gui::LayoutPosition *position, std::string name);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~JoyReference();
+
+  /*!
+  * \brief Set roll axis value
+  *
+  * \param value value
+  */
+  void SetRollAxis(float value);
+
+  /*!
+  * \brief Set pitch axis value
+  *
+  * \param value value
+  */
+  void SetPitchAxis(float value);
+
+  /*!
+  * \brief Set yaw axis value
+  *
+  * \param value value
+  */
+  void SetYawAxis(float value);
+
+  /*!
+  * \brief Set thrust axis value
+  *
+  * \param value value
+  */
+  void SetAltitudeAxis(float value);
+
+  /*!
+  * \brief Get orientation reference
+  *
+  * \return reference
+  */
+  core::AhrsData *GetReferenceOrientation(void) const;
+
+  /*!
+  * \brief Get z reference
+  *
+  * \return reference
+  */
+  float ZRef(void) const;
+
+  /*!
+  * \brief Get z derivative reference
+  *
+  * \return reference
+  */
+  float DzRef(void) const;
+
+  /*!
+  * \brief Get roll trim
+  *
+  * \return trim value
+  */
+  float RollTrim(void) const;
+
+  /*!
+  * \brief Get pitch trim
+  *
+  * \return trim value
+  */
+  float PitchTrim(void) const;
+
+  /*!
+  * \brief Set yaw reference
+  *
+  * Yaw part of the output quaternion is obtained by integrating the wz desired
+  *angular speed.\n
+  * This method reset the yaw.
+  *
+  * \param value value
+  */
+  void SetYawRef(float value);
+
+  /*!
+  * \brief Set yaw reference
+  *
+  * Yaw part of the output quaternion is obtained by integrating the wz desired
+  *angular speed.\n
+  * This method reset the yaw.
+  *
+  * \param value value, only the yaw part of the quaternion is used
+  */
+  void SetYawRef(core::Quaternion const &value);
+
+  /*!
+  * \brief Set z reference
+  *
+  * Altitude of the output is obtained by integrating the vz desired altitude
+  *speed.\n
+  * This method reset z.
+  *
+  * \param value value
+  */
+  void SetZRef(float value);
+
+  /*!
+  * \brief Trim up roll
+  *
+  * Roll trim value is increased by one
+  */
+  void RollTrimUp(void);
+
+  /*!
+  * \brief Trim down roll
+  *
+  * Roll trim value is decreased by one
+  */
+  void RollTrimDown(void);
+
+  /*!
+  * \brief Trim up pitch
+  *
+  * Pitch trim value is increased by one
+  */
+  void PitchTrimUp(void);
+
+  /*!
+  * \brief Trim down pitch
+  *
+  * Pitch trim value is decreased by one
+  */
+  void PitchTrimDown(void);
+
+  /*!
+  * \brief Update references
+  *
+  * Calls UpdateFrom with values entered manually.
+  *
+  * \param time time
+  */
+  void Update(core::Time time);
+
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
+
+  class JoyReference_impl *pimpl_;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairFilter/LowPassFilter.h
===================================================================
--- /trunk/include/FlairFilter/LowPassFilter.h	(revision 12)
+++ /trunk/include/FlairFilter/LowPassFilter.h	(revision 13)
@@ -16,84 +16,81 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class Layout;
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class Layout;
+class LayoutPosition;
+}
 }
 
 class LowPassFilter_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class LowPassFilter
-    *
-    * \brief Class defining a first order low pass filter
-    */
-    class LowPassFilter : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a LowPassFilter at position. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            * The filter is automatically updated when parent's
-            * IODevice::ProcessUpdate is called. \n
-            * The optional init_value parameters allow to specify
-            * the size of the input datas and its inital values.
-            * If unspecified, a 1*1 size is used, and values are
-            * initialized with 0.
-            *
-            * \param parent parent
-            * \param position position to display settings
-            * \param name name
-            * \param init_value initial value
-            */
-            LowPassFilter(const core::IODevice* parent,const gui::LayoutPosition* position,std::string name,const core::cvmatrix* init_value=NULL);
+namespace flair {
+namespace filter {
+/*! \class LowPassFilter
+*
+* \brief Class defining a first order low pass filter
+*/
+class LowPassFilter : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a LowPassFilter at position. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  * The filter is automatically updated when parent's
+  * IODevice::ProcessUpdate is called. \n
+  * The optional init_value parameters allow to specify
+  * the size of the input datas and its inital values.
+  * If unspecified, a 1*1 size is used, and values are
+  * initialized with 0.
+  *
+  * \param parent parent
+  * \param position position to display settings
+  * \param name name
+  * \param init_value initial value
+  */
+  LowPassFilter(const core::IODevice *parent,
+                const gui::LayoutPosition *position, std::string name,
+                const core::cvmatrix *init_value = NULL);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~LowPassFilter();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~LowPassFilter();
 
-            /*!
-            * \brief Output value
-            *
-            * \param row row element
-            * \param col column element
-            *
-            * \return element value
-            */
-            float Output(int row, int col) const;
+  /*!
+  * \brief Output value
+  *
+  * \param row row element
+  * \param col column element
+  *
+  * \return element value
+  */
+  float Output(int row, int col) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return filtered output
-            */
-            core::cvmatrix* Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return filtered output
+  */
+  core::cvmatrix *Matrix(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            class LowPassFilter_impl* pimpl_;
-    };
+  class LowPassFilter_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/NestedSat.h
===================================================================
--- /trunk/include/FlairFilter/NestedSat.h	(revision 12)
+++ /trunk/include/FlairFilter/NestedSat.h	(revision 13)
@@ -16,86 +16,83 @@
 #include <ControlLaw.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class Layout;
-        class LayoutPosition;
-    }
+namespace flair {
+namespace gui {
+class Layout;
+class LayoutPosition;
+}
 }
 
 class NestedSat_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class NestedSat
-    *
-    * \brief  Class defining a PID with saturations
-    *
-    * The output of this control law is calculated
-    * as follows: \n
-    * p_ref=Sat(p_ref,k*sat_ref) \n
-    * d_ref=Sat[(p_ref-p)*kp,k*sat_dref] \n
-    * law=Sat[(d-d_ref)*kd,sat_u] \n
-    * where p, p_ref and d are input values (see SetValues()), \n
-    * where sat_ref, sat_dref and sat_u are settings availables on the ground station, \n
-    * where k is a conversion factor (see ConvertSatFromDegToRad()).
-    */
-    class NestedSat : public ControlLaw
-    {
-        friend class ::NestedSat_impl;
+namespace flair {
+namespace filter {
+/*! \class NestedSat
+*
+* \brief  Class defining a PID with saturations
+*
+* The output of this control law is calculated
+* as follows: \n
+* p_ref=Sat(p_ref,k*sat_ref) \n
+* d_ref=Sat[(p_ref-p)*kp,k*sat_dref] \n
+* law=Sat[(d-d_ref)*kd,sat_u] \n
+* where p, p_ref and d are input values (see SetValues()), \n
+* where sat_ref, sat_dref and sat_u are settings availables on the ground
+*station, \n
+* where k is a conversion factor (see ConvertSatFromDegToRad()).
+*/
+class NestedSat : public ControlLaw {
+  friend class ::NestedSat_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a NestedSat at given place position. \n
-            * The NestedSat will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            NestedSat(const gui::LayoutPosition* position,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a NestedSat at given place position. \n
+  * The NestedSat will automatically be child of position->getLayout() Layout.
+  *After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  NestedSat(const gui::LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~NestedSat();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~NestedSat();
 
-            /*!
-            * \brief Set input values
-            *
-            * \param p_ref proportional reference
-            * \param p proportional value
-            * \param d derivative value
-            */
-            void SetValues(float p_ref,float p,float d);
+  /*!
+  * \brief Set input values
+  *
+  * \param p_ref proportional reference
+  * \param p proportional value
+  * \param d derivative value
+  */
+  void SetValues(float p_ref, float p, float d);
 
-            /*!
-            * \brief Convert saturation parameters in radians
-            *
-            * If this function is called, saturation parameters
-            * on the ground station will be interpreted as degrees. \n
-            * Thus, an internal conversion from degrees to radians will
-            * be done (k=PI/180).
-            */
-            void ConvertSatFromDegToRad(void);
+  /*!
+  * \brief Convert saturation parameters in radians
+  *
+  * If this function is called, saturation parameters
+  * on the ground station will be interpreted as degrees. \n
+  * Thus, an internal conversion from degrees to radians will
+  * be done (k=PI/180).
+  */
+  void ConvertSatFromDegToRad(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            NestedSat_impl* pimpl_;
-    };
+  NestedSat_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/Pid.h
===================================================================
--- /trunk/include/FlairFilter/Pid.h	(revision 12)
+++ /trunk/include/FlairFilter/Pid.h	(revision 13)
@@ -16,84 +16,81 @@
 #include <ControlLaw.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class Pid_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class Pid
-    *
-    * \brief Class defining a PID
-    */
-    class Pid : public ControlLaw
-    {
-        friend class ::Pid_impl;
+namespace flair {
+namespace filter {
+/*! \class Pid
+*
+* \brief Class defining a PID
+*/
+class Pid : public ControlLaw {
+  friend class ::Pid_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a PID at given position. \n
-            * The PID will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            Pid(const gui::LayoutPosition* position,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a PID at given position. \n
+  * The PID will automatically be child of position->getLayout() Layout. After
+  *calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  Pid(const gui::LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Pid();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Pid();
 
-            /*!
-            * \brief Reset integral
-            *
-            */
-            void Reset(void);
+  /*!
+  * \brief Reset integral
+  *
+  */
+  void Reset(void);
 
-            /*!
-            * \brief Set input values
-            *
-            * \param p proportional value
-            * \param d derivative value
-            */
-            void SetValues(float p,float d);
+  /*!
+  * \brief Set input values
+  *
+  * \param p proportional value
+  * \param d derivative value
+  */
+  void SetValues(float p, float d);
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output values at position. \n
-            * Plot consists of 4 curves: proportional part,
-            * derivative part, integral part and
-            * the sum of the three. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display plot
-            */
-            void UseDefaultPlot(const gui::LayoutPosition* position);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output values at position. \n
+  * Plot consists of 4 curves: proportional part,
+  * derivative part, integral part and
+  * the sum of the three. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  *
+  * \param position position to display plot
+  */
+  void UseDefaultPlot(const gui::LayoutPosition *position);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            Pid_impl* pimpl_;
-    };
+  Pid_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/PidThrust.h
===================================================================
--- /trunk/include/FlairFilter/PidThrust.h	(revision 12)
+++ /trunk/include/FlairFilter/PidThrust.h	(revision 13)
@@ -16,124 +16,122 @@
 #include <ControlLaw.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class PidThrust_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class PidThrust
-    *
-    * \brief Class defining a Pid for Thrust.\n
-    * This Pid as an extra offset for compensating gravity.
-    */
-    class PidThrust : public ControlLaw
-    {
-        friend class ::PidThrust_impl;
+namespace flair {
+namespace filter {
+/*! \class PidThrust
+*
+* \brief Class defining a Pid for Thrust.\n
+* This Pid as an extra offset for compensating gravity.
+*/
+class PidThrust : public ControlLaw {
+  friend class ::PidThrust_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a PidThrust at given position
-            * The PidThrust will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            PidThrust(const gui::LayoutPosition* position,std::string name);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a PidThrust at given position
+  * The PidThrust will automatically be child of position->getLayout() Layout.
+  *After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  PidThrust(const gui::LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~PidThrust();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~PidThrust();
 
-            /*!
-            * \brief Reset integral and offset to 0
-            *
-            */
-            void Reset(void);
+  /*!
+  * \brief Reset integral and offset to 0
+  *
+  */
+  void Reset(void);
 
-            /*!
-            * \brief Reset integral to 0
-            *
-            */
-            void ResetI(void);
+  /*!
+  * \brief Reset integral to 0
+  *
+  */
+  void ResetI(void);
 
-            /*!
-            * \brief Reset offset to 0
-            *
-            */
-            void ResetOffset(void);
+  /*!
+  * \brief Reset offset to 0
+  *
+  */
+  void ResetOffset(void);
 
-            /*!
-            * \brief Set offset to specified value in ground station
-            *
-            */
-            void SetOffset(void);
+  /*!
+  * \brief Set offset to specified value in ground station
+  *
+  */
+  void SetOffset(void);
 
-            /*!
-            * \brief Get offset
-            *
-            * \return current offset
-            */
-            float GetOffset(void);
+  /*!
+  * \brief Get offset
+  *
+  * \return current offset
+  */
+  float GetOffset(void);
 
-            /*!
-            * \brief Step up the offset according to specified value in ground station
-            *
-            * \return false if offset is at its maximum (1) value, true otherwise
-            */
-            bool OffsetStepUp(void);
+  /*!
+  * \brief Step up the offset according to specified value in ground station
+  *
+  * \return false if offset is at its maximum (1) value, true otherwise
+  */
+  bool OffsetStepUp(void);
 
-            /*!
-            * \brief Step down the offset according to specified value in ground station
-            *
-            * \return false if offset is at its minimum (specified in ground station) value, true otherwise
-            */
-            bool OffsetStepDown(void);
+  /*!
+  * \brief Step down the offset according to specified value in ground station
+  *
+  * \return false if offset is at its minimum (specified in ground station)
+  *value, true otherwise
+  */
+  bool OffsetStepDown(void);
 
-            /*!
-            * \brief Set input values
-            *
-            * \param p proportional value
-            * \param d derivative value
-            */
-            void SetValues(float p,float d);
+  /*!
+  * \brief Set input values
+  *
+  * \param p proportional value
+  * \param d derivative value
+  */
+  void SetValues(float p, float d);
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the output values at position. \n
-            * Plot consists of 4 curves: proportional part,
-            * derivative part, integral part and
-            * the sum of the three. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display plot
-            */
-            void UseDefaultPlot(const gui::LayoutPosition* position);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the output values at position. \n
+  * Plot consists of 4 curves: proportional part,
+  * derivative part, integral part and
+  * the sum of the three. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  *
+  * \param position position to display plot
+  */
+  void UseDefaultPlot(const gui::LayoutPosition *position);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            PidThrust_impl* pimpl_;
-    };
+  PidThrust_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
